com.amazonaws.services.elastictranscoder.model

## Class Captions

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.model.Captions

All Implemented Interfaces:
  Serializable, Cloneable

    public class Captions
    extends Object
    implements Serializable, Cloneable

The captions to be created, if any.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Captions()`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Captions` `clone()`
`boolean` `equals(Object obj)`
`List<CaptionFormat>` `getCaptionFormats()` The array of file formats for the output captions.
`List<CaptionSource>` `getCaptionSources()` Deprecated.
`String` `getMergePolicy()` Deprecated.
`int` `hashCode()`
`void` `setCaptionFormats(Collection<CaptionFormat> captionFormats)` The array of file formats for the output captions.
`void` `setCaptionSources(Collection<CaptionSource> captionSources)` Deprecated.
`void` `setMergePolicy(String mergePolicy)` Deprecated.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`Captions` `withCaptionFormats(CaptionFormat... captionFormats)` The array of file formats for the output captions.
`Captions` `withCaptionFormats(Collection<CaptionFormat> captionFormats)` The array of file formats for the output captions.
`Captions` `withCaptionSources(CaptionSource... captionSources)` Deprecated.
`Captions` `withCaptionSources(Collection<CaptionSource> captionSources)` Deprecated.
`Captions` `withMergePolicy(String mergePolicy)` Deprecated.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Captions

    public Captions()

### Method Detail

#### setMergePolicy

    @Deprecated
    public void setMergePolicy(String mergePolicy)

Deprecated.

A policy that determines how Elastic Transcoder handles the existence of multiple captions.

- MergeOverride: Elastic Transcoder transcodes both embedded and sidecar captions into outputs. If captions for a language are embedded in the input file and also appear in a sidecar file, Elastic Transcoder uses the sidecar captions and ignores the embedded captions for that language.

- MergeRetain: Elastic Transcoder transcodes both embedded and sidecar captions into outputs. If captions for a language are embedded in the input file and also appear in a sidecar file, Elastic Transcoder uses the embedded captions and ignores the sidecar captions for that language. If `CaptionSources` is empty, Elastic Transcoder omits all sidecar captions from the output files.

- Override: Elastic Transcoder transcodes only the sidecar captions that you specify in `CaptionSources`.

`MergePolicy` cannot be null.

Parameters:
  `mergePolicy` - A policy that determines how Elastic Transcoder handles the existence of multiple captions.

  - MergeOverride: Elastic Transcoder transcodes both embedded and sidecar captions into outputs. If captions for a language are embedded in the input file and also appear in a sidecar file, Elastic Transcoder uses the sidecar captions and ignores the embedded captions for that language.

  - MergeRetain: Elastic Transcoder transcodes both embedded and sidecar captions into outputs. If captions for a language are embedded in the input file and also appear in a sidecar file, Elastic Transcoder uses the embedded captions and ignores the sidecar captions for that language. If `CaptionSources` is empty, Elastic Transcoder omits all sidecar captions from the output files.

  - Override: Elastic Transcoder transcodes only the sidecar captions that you specify in `CaptionSources`.

  `MergePolicy` cannot be null.

#### getMergePolicy

    @Deprecated
    public String getMergePolicy()

Deprecated.

A policy that determines how Elastic Transcoder handles the existence of multiple captions.

- MergeOverride: Elastic Transcoder transcodes both embedded and sidecar captions into outputs. If captions for a language are embedded in the input file and also appear in a sidecar file, Elastic Transcoder uses the sidecar captions and ignores the embedded captions for that language.

- MergeRetain: Elastic Transcoder transcodes both embedded and sidecar captions into outputs. If captions for a language are embedded in the input file and also appear in a sidecar file, Elastic Transcoder uses the embedded captions and ignores the sidecar captions for that language. If `CaptionSources` is empty, Elastic Transcoder omits all sidecar captions from the output files.

- Override: Elastic Transcoder transcodes only the sidecar captions that you specify in `CaptionSources`.

`MergePolicy` cannot be null.

Returns:
  A policy that determines how Elastic Transcoder handles the existence of multiple captions.

  - MergeOverride: Elastic Transcoder transcodes both embedded and sidecar captions into outputs. If captions for a language are embedded in the input file and also appear in a sidecar file, Elastic Transcoder uses the sidecar captions and ignores the embedded captions for that language.

  - MergeRetain: Elastic Transcoder transcodes both embedded and sidecar captions into outputs. If captions for a language are embedded in the input file and also appear in a sidecar file, Elastic Transcoder uses the embedded captions and ignores the sidecar captions for that language. If `CaptionSources` is empty, Elastic Transcoder omits all sidecar captions from the output files.

  - Override: Elastic Transcoder transcodes only the sidecar captions that you specify in `CaptionSources`.

  `MergePolicy` cannot be null.

#### withMergePolicy

    @Deprecated
    public Captions withMergePolicy(String mergePolicy)

Deprecated.

A policy that determines how Elastic Transcoder handles the existence of multiple captions.

- MergeOverride: Elastic Transcoder transcodes both embedded and sidecar captions into outputs. If captions for a language are embedded in the input file and also appear in a sidecar file, Elastic Transcoder uses the sidecar captions and ignores the embedded captions for that language.

- MergeRetain: Elastic Transcoder transcodes both embedded and sidecar captions into outputs. If captions for a language are embedded in the input file and also appear in a sidecar file, Elastic Transcoder uses the embedded captions and ignores the sidecar captions for that language. If `CaptionSources` is empty, Elastic Transcoder omits all sidecar captions from the output files.

- Override: Elastic Transcoder transcodes only the sidecar captions that you specify in `CaptionSources`.

`MergePolicy` cannot be null.

Parameters:
  `mergePolicy` - A policy that determines how Elastic Transcoder handles the existence of multiple captions.

  - MergeOverride: Elastic Transcoder transcodes both embedded and sidecar captions into outputs. If captions for a language are embedded in the input file and also appear in a sidecar file, Elastic Transcoder uses the sidecar captions and ignores the embedded captions for that language.

  - MergeRetain: Elastic Transcoder transcodes both embedded and sidecar captions into outputs. If captions for a language are embedded in the input file and also appear in a sidecar file, Elastic Transcoder uses the embedded captions and ignores the sidecar captions for that language. If `CaptionSources` is empty, Elastic Transcoder omits all sidecar captions from the output files.

  - Override: Elastic Transcoder transcodes only the sidecar captions that you specify in `CaptionSources`.

  `MergePolicy` cannot be null.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getCaptionSources

    @Deprecated
    public List<CaptionSource> getCaptionSources()

Deprecated.

Source files for the input sidecar captions used during the transcoding process. To omit all sidecar captions, leave `CaptionSources` blank.

Returns:
  Source files for the input sidecar captions used during the transcoding process. To omit all sidecar captions, leave `CaptionSources` blank.

#### setCaptionSources

    @Deprecated
    public void setCaptionSources(Collection<CaptionSource> captionSources)

Deprecated.

Source files for the input sidecar captions used during the transcoding process. To omit all sidecar captions, leave `CaptionSources` blank.

Parameters:
  `captionSources` - Source files for the input sidecar captions used during the transcoding process. To omit all sidecar captions, leave `CaptionSources` blank.

#### withCaptionSources

    @Deprecated
    public Captions withCaptionSources(CaptionSource... captionSources)

Deprecated.

Source files for the input sidecar captions used during the transcoding process. To omit all sidecar captions, leave `CaptionSources` blank.

NOTE: This method appends the values to the existing list (if any). Use `setCaptionSources(java.util.Collection)` or `withCaptionSources(java.util.Collection)` if you want to override the existing values.

Parameters:
  `captionSources` - Source files for the input sidecar captions used during the transcoding process. To omit all sidecar captions, leave `CaptionSources` blank.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withCaptionSources

    @Deprecated
    public Captions withCaptionSources(Collection<CaptionSource> captionSources)

Deprecated.

Source files for the input sidecar captions used during the transcoding process. To omit all sidecar captions, leave `CaptionSources` blank.

Parameters:
  `captionSources` - Source files for the input sidecar captions used during the transcoding process. To omit all sidecar captions, leave `CaptionSources` blank.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getCaptionFormats

    public List<CaptionFormat> getCaptionFormats()

The array of file formats for the output captions. If you leave this value blank, Elastic Transcoder returns an error.

Returns:
  The array of file formats for the output captions. If you leave this value blank, Elastic Transcoder returns an error.

#### setCaptionFormats

    public void setCaptionFormats(Collection<CaptionFormat> captionFormats)

The array of file formats for the output captions. If you leave this value blank, Elastic Transcoder returns an error.

Parameters:
  `captionFormats` - The array of file formats for the output captions. If you leave this value blank, Elastic Transcoder returns an error.

#### withCaptionFormats

    public Captions withCaptionFormats(CaptionFormat... captionFormats)

The array of file formats for the output captions. If you leave this value blank, Elastic Transcoder returns an error.

NOTE: This method appends the values to the existing list (if any). Use `setCaptionFormats(java.util.Collection)` or `withCaptionFormats(java.util.Collection)` if you want to override the existing values.

Parameters:
  `captionFormats` - The array of file formats for the output captions. If you leave this value blank, Elastic Transcoder returns an error.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withCaptionFormats

    public Captions withCaptionFormats(Collection<CaptionFormat> captionFormats)

The array of file formats for the output captions. If you leave this value blank, Elastic Transcoder returns an error.

Parameters:
  `captionFormats` - The array of file formats for the output captions. If you leave this value blank, Elastic Transcoder returns an error.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public Captions clone()

Overrides:
  `clone` in class `Object`